curl --request GET \
--url https://{host}/api/v3/expenseClaims \
--header 'Authorization: <authorization>'{
"data": {
"items": [
{
"declaredOn": "2023-11-07T05:31:56Z",
"createdOn": "2023-11-07T05:31:56Z",
"modifiedOn": "2023-11-07T05:31:56Z",
"id": 2,
"name": "<string>",
"paymentReceivedOn": "2023-11-07T05:31:56Z",
"sourceId": {
"id": "<string>"
},
"source": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"paymentMethodId": 0,
"paymentMethod": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"statusId": {
"id": 0
},
"status": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"approvalStateId": {
"id": 0
},
"approvalState": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"authorizedActions": {
"isCancellable": true,
"isEditable": true,
"isApprovable": true,
"isControllable": true,
"isUnControllable": true
},
"ownerId": 123,
"owner": {
"id": 2,
"name": "<string>",
"url": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"authorId": 123,
"author": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"legalEntityId": 123,
"legalEntity": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"departmentId": 123,
"department": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"currencyId": "<string>",
"currency": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
}
}
]
}
}Retrieve a list of ExpenseClaims.
The declaredOn query parameter can operate comparisons with a given date-time value:
?declaredOn=2021-01-01: strict equality.?declaredOn=since,2021-01-01: greater than or equal.?declaredOn=until,2021-01-01: lower than or equal.?declaredOn=between,2021-01-01,2021-01-31: comprised between two dates.curl --request GET \
--url https://{host}/api/v3/expenseClaims \
--header 'Authorization: <authorization>'{
"data": {
"items": [
{
"declaredOn": "2023-11-07T05:31:56Z",
"createdOn": "2023-11-07T05:31:56Z",
"modifiedOn": "2023-11-07T05:31:56Z",
"id": 2,
"name": "<string>",
"paymentReceivedOn": "2023-11-07T05:31:56Z",
"sourceId": {
"id": "<string>"
},
"source": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"paymentMethodId": 0,
"paymentMethod": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"statusId": {
"id": 0
},
"status": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"approvalStateId": {
"id": 0
},
"approvalState": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"authorizedActions": {
"isCancellable": true,
"isEditable": true,
"isApprovable": true,
"isControllable": true,
"isUnControllable": true
},
"ownerId": 123,
"owner": {
"id": 2,
"name": "<string>",
"url": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"authorId": 123,
"author": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"legalEntityId": 123,
"legalEntity": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"departmentId": 123,
"department": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"currencyId": "<string>",
"currency": {
"id": "<string>",
"name": "<string>",
"url": "<string>"
}
}
]
}
}API key. Value must be formatted like so: lucca application={api_key}.
Comma-separated list of user identifiers (int).
{fieldName},{'asc'||'desc'}. Example: ?orderby=declaredOn,desc
Examples: between,2022-01-01,202201-31.
{offset},{limit}. Defaults to 0,1000.
"100,0"
1: Created; 2: PartiallyApproved; 3: Approved; 4: Controlled; 5: ApprovedAndControlled; 6: PaymentInitiated; 7: Paid; 8: Refused; 9: Cancelled. Examples: 2,3 or PartiallyApproved,Approved.
OK
Show child attributes
Was this page helpful?